## dune-uggrid 2.9.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

cmake_minimum_required(VERSION 3.13)

# set up project
project("dune-uggrid" C CXX)

#circumvent not building docs
set(BUILD_DOCS 1)

# Guess the dune-common build directory if it is not yet set
if(NOT (dune-common_DIR OR dune-common_ROOT OR
      "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
  string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
    ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
     "${CMAKE_SOURCE_DIR}/cmake/modules")# make sure our own modules are found

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

find_package(MPI)
# set defines that are only used internally.
# The rest is in cmake/modules/DuneUggrid.cmake
if(MPI_C_FOUND)
  set(UG_ENABLE_PARALLEL True CACHE BOOL "Enable a parallel UG (default is True if MPI is there False otherwise)")
else()
  set(UG_ENABLE_PARALLEL False CACHE BOOL "Enable a parallel UG (default is True if MPI is there False otherwise)")
endif()

set(UG_ENABLE_DEBUGGING False CACHE BOOL "Enable UG debugging (default is Off)")
set(UG_ENABLE_SYSTEM_HEAP ON CACHE BOOL "If ON/True then we are using the operating system heap instead of the one internal to UG (Default: ON)")
set(UG_DDD_MAX_MACROBITS "24" CACHE STRING
  "Set number of bits of an unsigned int used to store the process number,
       the remaining bits are used to store the local entity id")

set(DUNE_UGGRID_TET_RULESET True CACHE BOOL "Use complete rule set for refinement of tetrahedral elements")
if(TET_RULESET)
  set(DUNE_UGGRID_TET_RULESET True)
  message(DEPRECATION "The TET_RULESET option has been renamed to DUNE_UGGRID_TET_RULESET")
endif()

if(UG_ENABLE_DEBUGGING)
  list(APPEND UG_COMPILE_DEFINITIONS "Debug")
  set(UG_EXTRAFLAGS "${UG_EXTRAFLAGS} -DDebug")
endif()

#Always build parallel libs if MPI is found
if(UG_ENABLE_PARALLEL)
  if(NOT MPI_C_FOUND)
    message(SEND_ERROR "A parallel UG was requested but MPI was not found. Either change variable UG_ENABLE_PARALLEL or install MPI." )
  endif()
  list(APPEND UG_COMPILE_DEFINITIONS "ModelP")
  set(UG_EXTRAFLAGS "${UG_EXTRAFLAGS} -DModelP")
endif()

# define target for duneuggrid
dune_add_library(duneuggrid)
target_compile_definitions(duneuggrid PUBLIC ${UG_COMPILE_DEFINITIONS})
target_link_libraries(duneuggrid PUBLIC ${DUNE_LIBS})
add_dune_mpi_flags(duneuggrid)

check_include_file(sys/time.h HAVE_SYS_TIME_H)
check_include_file(time.h HAVE_TIME_H)

if(HAVE_TIME_H AND HAVE_SYS_TIME_H)
  set(TIME_WITH_SYS_TIME True)
endif()

add_subdirectory(dune)
add_subdirectory(cmake/modules)
# set variable names for config.h
set(DDD_MAX_PROCBITS_IN_GID ${UG_DDD_MACROBITS})
# finalize the dune project, e.g., generate config.h etc.
# Use package init to set additional information
set(dune-uggrid_INIT "set(UG_PARALLEL ${UG_ENABLE_PARALLEL})")

finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== cmake/modules/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

install(FILES DuneUggridMacros.cmake DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== dune/uggrid/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

set(UG_ENABLED_DIMENSIONS 2 3)

# define dimension specific object libraries
foreach(dim ${UG_ENABLED_DIMENSIONS})
  add_library(duneuggrid${dim}d OBJECT)
  target_link_libraries(duneuggrid${dim}d PRIVATE ${DUNE_LIBS})
  target_compile_definitions(duneuggrid${dim}d PRIVATE "UG_DIM_${dim}")
  target_compile_definitions(duneuggrid${dim}d PRIVATE ${UG_COMPILE_DEFINITIONS})
  add_dune_mpi_flags(duneuggrid${dim}d OBJECT)

  # register dimension-dependent objects in duneuggrid library
  target_sources(duneuggrid PRIVATE $<TARGET_OBJECTS:duneuggrid${dim}d>)
endforeach()

# macro that adds sources to all dimension-targets `${target}${dim}d`,
# see UG_ENABLED_DIMENSIONS
macro(target_sources_dims target)
  foreach(dim ${UG_ENABLED_DIMENSIONS})
    target_sources(${target}${dim}d ${ARGN})
  endforeach(dim)
endmacro()


target_sources(duneuggrid PRIVATE
  ugdevices.cc)

target_sources_dims(duneuggrid PRIVATE
  initug.cc)

install(
  FILES ugdevices.h initug.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid)

add_subdirectory(domain)
add_subdirectory(gm)
add_subdirectory(lib)
add_subdirectory(low)
add_subdirectory(parallel)

=== dune/uggrid/gm/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE
  algebra.cc
  cw.cc
  dlmgr.cc
  elements.cc
  er.cc
  evm.cc
  gmcheck.cc
  initgm.cc
  mgio.cc
  refine.cc
  rm-write2file.cc
  rm.cc
  shapes.cc
  ugio.cc
  ugm.cc)

dune_add_test(
  NAME rm3-tetrahedron-rules-test
  SOURCES rm-tetrahedron-rules-test.cc
  COMPILE_DEFINITIONS -DUG_DIM_3
  LINK_LIBRARIES duneuggrid ${DUNE_LIBS}
  CMAKE_GUARD DUNE_UGGRID_TET_RULESET
  )

# rm3-show
add_executable(rm3-show rm-show.cc)
target_compile_definitions(rm3-show PRIVATE -DUG_DIM_3)
target_link_libraries(rm3-show PRIVATE duneuggrid ${DUNE_LIBS})

# rm3-writeRefRules2file
add_executable(rm3-writeRefRules2file rm-writeRefRules2file.cc rm-write2file.h rm-write2file.cc)
target_compile_definitions(rm3-writeRefRules2file PRIVATE -DUG_DIM_3)
target_link_libraries(rm3-writeRefRules2file PRIVATE duneuggrid ${DUNE_LIBS})

install(FILES
  algebra.h
  cw.h
  dlmgr.h
  elements.h
  evm.h
  gm.h
  pargm.h
  refine.h
  rm-write2file.h
  rm.h
  shapes.h
  ugm.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/gm)

=== dune/uggrid/low/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

add_subdirectory(test)

target_sources(duneuggrid PRIVATE
  bio.cc
  debug.cc
  fifo.cc
  fileopen.cc
  heaps.cc
  initlow.cc
  misc.cc
  ugenv.cc
  ugstruct.cc
  ugtimer.cc)

install(FILES
  debug.h
  dimension.h
  fileopen.h
  heaps.h
  misc.h
  namespace.h
  ugenv.h
  ugstruct.h
  ugtimer.h
  ugtypes.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/low)

=== dune/uggrid/parallel/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

add_subdirectory(ddd)
add_subdirectory(ppif)

if(UG_ENABLE_PARALLEL)
  add_subdirectory(dddif)
endif()

=== dune/uggrid/parallel/dddif/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE
  compat.cc
  debugger.cc
  gridcons.cc
  handler.cc
  identify.cc
  identify.h
  initddd.cc
  lb.cc
  lbrcb.cc
  memmgr.cc
  overlap.cc
  partition.cc
  pgmcheck.cc
  priority.cc
  support.cc
  trans.cc)

install(FILES parallel.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/dddif/)

=== dune/uggrid/parallel/ddd/basic/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

add_subdirectory(test)

target_sources(duneuggrid PRIVATE
  io.cc
  lowcomm.cc
  notify.cc
  reduct.cc
  topo.cc)

install(FILES notify.h lowcomm.h oopp.h ooppcc.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/ddd/basic)

=== dune/uggrid/parallel/ddd/ctrl/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE
  cons.cc
  debug.cc
  stat.cc)

install(FILES
  stat.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/ddd/ctrl)

=== dune/uggrid/parallel/ddd/ident/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE ident.cc)

=== dune/uggrid/parallel/ddd/if/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE
  ifcheck.cc
  ifcmds.cc
  ifcreate.cc
  ifobjsc.cc
  ifuse.cc)

install(FILES
  if.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/ddd/if)

=== dune/uggrid/parallel/ddd/join/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE
  jcmds.cc
  join.cc)

install(FILES
  join.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/ddd/join)

=== debian/changelog ===
dune-uggrid (2.9.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:05:33 +0000

dune-uggrid (2.9.0-2build1) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:21:54 +0000

dune-uggrid (2.9.0-2) unstable; urgency=medium

  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)
  * Upload to unstable

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 18:38:59 +0100

dune-uggrid (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/upstream: Added metadata file
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sun, 08 Jan 2023 10:30:27 +0100

=== debian/control ===
Source: dune-uggrid
Section: libs
Priority: optional
Standards-Version: 4.6.2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
Vcs-Browser: https://salsa.debian.org/science-team/dune-uggrid
Vcs-Git: https://salsa.debian.org/science-team/dune-uggrid.git
Homepage: https://gitlab.dune-project.org/staging/dune-uggrid/
Build-Depends: debhelper-compat (= 13),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.9.0)
Rules-Requires-Root: no

Package: libdune-uggrid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.9.0)
Provides: ${dune:shared-library}
Conflicts: libug-dev
Replaces: libug-dev
Description: software framework for finite element methods (development files)
 UG is a flexible software tool for the numerical solution of partial
 differential equations on unstructured meshes, with a focus on
 multigrid methods. It has a very powerful grid manager, which supports
 two- and three-dimensional grids with mixed element types. The grids
 can be adaptively refinement using either classic
 red/green-refinement, or pure red refinement with hanging nodes. All
 this is fully parallelized and can run on large distributed machines.
 .
 The version in this package has been built with the necessary flags for use
 with the Dune software system.
 .
 This package contains the development files.

## dune-uggrid 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LGPL-2.1-or-later
 
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 
 # set up project
 project("dune-uggrid" C CXX)
@@ -63,9 +63,9 @@
 endif()
 
 # define target for duneuggrid
-dune_add_library(duneuggrid)
+dune_add_library(duneuggrid EXPORT_NAME UGGrid)
 target_compile_definitions(duneuggrid PUBLIC ${UG_COMPILE_DEFINITIONS})
-target_link_libraries(duneuggrid PUBLIC ${DUNE_LIBS})
+target_link_libraries(duneuggrid PUBLIC Dune::Common)
 add_dune_mpi_flags(duneuggrid)
 
 check_include_file(sys/time.h HAVE_SYS_TIME_H)
@@ -83,4 +83,4 @@
 # Use package init to set additional information
 set(dune-uggrid_INIT "set(UG_PARALLEL ${UG_ENABLE_PARALLEL})")
 
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()

=== dune/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

add_subdirectory(uggrid)

=== dune/uggrid/domain/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE
  std_domain.cc
  std_parallel.cc)

install(FILES
  domain.h
  std_domain.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/domain)

=== dune/uggrid/lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

install(
  FILES RefRules.data tetra.rls triangle.rls
  DESTINATION ${CMAKE_INSTALL_DATADIR})

=== dune/uggrid/low/CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,7 @@
   heaps.cc
   initlow.cc
   misc.cc
-  ugenv.cc
-  ugstruct.cc
-  ugtimer.cc)
+  ugenv.cc)
 
 install(FILES
   debug.h
@@ -23,7 +21,5 @@
   misc.h
   namespace.h
   ugenv.h
-  ugstruct.h
-  ugtimer.h
   ugtypes.h
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/low)

=== dune/uggrid/low/test/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

dune_add_test(SOURCES test-fifo.cc
              LINK_LIBRARIES duneuggrid)

=== dune/uggrid/parallel/ddd/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

add_subdirectory(include)

install(FILES
  dddconstants.hh
  dddcontext.hh
  dddtypes.hh
  dddtypes_impl.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/ddd)

if(UG_ENABLE_PARALLEL)
  add_subdirectory(analyser)
  add_subdirectory(basic)
  add_subdirectory(ctrl)
  add_subdirectory(ident)
  add_subdirectory(if)
  add_subdirectory(join)
  add_subdirectory(mgr)
  add_subdirectory(prio)
  add_subdirectory(xfer)

  target_sources_dims(duneuggrid PRIVATE ddd.cc)
endif()

target_sources(duneuggrid PRIVATE dddcontext.cc)

=== dune/uggrid/parallel/ppif/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

if(UG_ENABLE_PARALLEL)
  target_sources(duneuggrid PRIVATE ppif.cc)
endif()

target_sources(duneuggrid PRIVATE ppifcontext.cc)

install(FILES
  ppif.h
  ppifcontext.hh
  ppiftypes.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/ppif)

=== dune/uggrid/parallel/ddd/analyser/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE inv.cc)

=== dune/uggrid/parallel/ddd/include/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

install(FILES
  ddd.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/ddd/include)

=== dune/uggrid/parallel/ddd/prio/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE pcmds.cc)

=== dune/uggrid/parallel/ddd/xfer/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-2.1-or-later

target_sources_dims(duneuggrid PRIVATE
  cmdmsg.cc
  cmds.cc
  cplmsg.cc
  ctrl.cc
  pack.cc
  supp.cc
  unpack.cc
  xfer.cc)

install(FILES
  sll.h xfer.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/parallel/ddd/xfer)

=== debian/changelog ===
dune-uggrid (2.10.0-1build1) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 07:14:30 +0100

dune-uggrid (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Added debian/watch file
  * d/copyright: Use Files-Excluded to exclude files
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs
  * d/control: Bumped Standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf.
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 20:50:33 +0100

dune-uggrid (2.10~pre20240905-2) experimental; urgency=medium

  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Oct 2024 23:47:59 +0200

dune-uggrid (2.10~pre20240905-1) experimental; urgency=medium

  * New upstream release (2.10~pre20240905).
  * d/control: Bumped Standards version to 4.7.0 (no changes)
  * d/control: Depend on pkgconf.
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 17 Oct 2024 20:37:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: dune-uggrid
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.7.0
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-uggrid
 Vcs-Git: https://salsa.debian.org/science-team/dune-uggrid.git
 Homepage: https://gitlab.dune-project.org/staging/dune-uggrid/
 Build-Depends: debhelper-compat (= 13),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.9.0)
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ libdune-common-dev (>= 2.10~), chrpath
 Rules-Requires-Root: no
 
 Package: libdune-uggrid-dev
@@ -18,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.9.0)
+ libdune-common-dev (>= 2.10~)
 Provides: ${dune:shared-library}
 Conflicts: libug-dev
 Replaces: libug-dev

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --builddirectory=build --buildsystem=cmake

override_dh_install:
	# Manual delete runpath set by openmpi 5.0.5
	# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085509
	find debian/tmp/ -name \*.so -o  -name \*.so.\* -exec chrpath -d '{}' \; || true
	find debian/tmp/ -name \*.so -o  -name \*.so.\* -exec chrpath '{}' \; || true
	dh_install

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.dune-project.org/staging/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## dune-uggrid 2.11.0~git20251211

=== dune/uggrid/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 foreach(dim ${UG_ENABLED_DIMENSIONS})
   add_library(duneuggrid${dim}d OBJECT)
   target_link_libraries(duneuggrid${dim}d PRIVATE ${DUNE_LIBS})
+  dune_default_include_directories(duneuggrid${dim}d PRIVATE)
   target_compile_definitions(duneuggrid${dim}d PRIVATE "UG_DIM_${dim}")
   target_compile_definitions(duneuggrid${dim}d PRIVATE ${UG_COMPILE_DEFINITIONS})
   add_dune_mpi_flags(duneuggrid${dim}d OBJECT)

=== dune/uggrid/domain/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,5 @@
   std_parallel.cc)
 
 install(FILES
-  domain.h
   std_domain.h
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/uggrid/domain)

=== debian/changelog ===
dune-uggrid (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/control: Depend on DUNE packages >= 2.11~

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 12:28:17 +0100

## dune-uggrid 2.11.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,15 @@
 
 #include the dune macros
 include(DuneMacros)
+
+# deactivate global include-directories
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
+# do not make suggested dependencies required automatically
+dune_policy(SET DP_SUGGESTED_MODULE_DEPENDENCIES_REQUIRED_DOWNSTREAM NEW)
 
 # start a dune project with information from dune.module
 dune_project()
@@ -68,6 +77,9 @@
 target_link_libraries(duneuggrid PUBLIC Dune::Common)
 add_dune_mpi_flags(duneuggrid)
 
+# set include directories for duneuggrid library
+dune_default_include_directories(duneuggrid PUBLIC)
+
 check_include_file(sys/time.h HAVE_SYS_TIME_H)
 check_include_file(time.h HAVE_TIME_H)
 
@@ -83,4 +95,11 @@
 # Use package init to set additional information
 set(dune-uggrid_INIT "set(UG_PARALLEL ${UG_ENABLE_PARALLEL})")
 
+# make sure downstream projects must find MPI too
+if (UG_ENABLE_PARALLEL)
+  string(JOIN "\n" DUNE_CUSTOM_PKG_CONFIG_SECTION
+    "find_dependency(MPI)"
+  )
+endif()
+
 finalize_dune_project()

=== dune/uggrid/gm/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
   rm-write2file.cc
   rm.cc
   shapes.cc
-  ugio.cc
   ugm.cc)
 
 dune_add_test(

=== dune/uggrid/low/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
   ugenv.cc)
 
 install(FILES
+  architecture.h
   debug.h
   dimension.h
   fileopen.h

=== debian/changelog ===
dune-uggrid (2.11.0+dfsg-1) unstable; urgency=medium

  * Moved to git-buildpackage and dep-14 branch layout
  * New upstream release 2.11.0
  * Added configuration for salsa CI
  * Updated debian/copyright
  * d/control: Depend on DUNE packages >= 2.11~

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 06 Feb 2026 16:45:43 +0100

dune-uggrid (2.11.0+dfsg-1~exp1) experimental; urgency=medium

  * Moved to git-buildpackage and dep-14 branch layout
  * New upstream release 2.11.0
  * Improve gbp.conf
  * Added configuration for salsa CI

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 17:07:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://gitlab.dune-project.org/staging/dune-uggrid/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- libdune-common-dev (>= 2.10~), chrpath
+ libdune-common-dev (>= 2.11~), chrpath
 Rules-Requires-Root: no
 
 Package: libdune-uggrid-dev
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.10~)
+ libdune-common-dev (>= 2.11~)
 Provides: ${dune:shared-library}
 Conflicts: libug-dev
 Replaces: libug-dev
